%global srcname yappi

Summary:        Yet Another Python Profiler, supports Multithread/CPU time profiling
Name:           python-%{srcname}
Version:        1.4.0
Release:        5%{?dist}

License:        MIT
URL:            https://github.com/sumerc/yappi
Source0:        https://github.com/sumerc/yappi/archive/refs/tags/%{version}.tar.gz

BuildRequires: git gcc

%description
Yappi, Yet Another Python Profiler, provides multithreading and cpu-time
support to profile python programs.

%package -n python3-%{srcname}
Summary:        Yet Another Python Profiler, supports Multithread/CPU time profiling.
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-gevent

%description -n python3-%{srcname}
Yappi, Yet Another Python Profiler, provides multithreading and cpu-time
support to profile python programs.

%prep
%autosetup -n %{srcname}-%{version} -S git

%build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/%{srcname} %{buildroot}%{_bindir}/%{srcname}-%{python3_version}
ln -s %{srcname}-%{python3_version} %{buildroot}%{_bindir}/%{srcname}-3
ln -s %{srcname}-3 %{buildroot}%{_bindir}/%{srcname}

%check
export PATH=$PATH:%{buildroot}/usr/bin
export PYTHONPATH=%{buildroot}/%{python3_sitearch}
%{__python3} tests/test_functionality.py
%{__python3} tests/test_hooks.py

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{_bindir}/%{srcname}
%{_bindir}/%{srcname}-3*
%{python3_sitearch}/%{srcname}.py*
%{python3_sitearch}/_%{srcname}*.so
%{python3_sitearch}/__pycache__/%{srcname}*
%{python3_sitearch}/%{srcname}-*.egg-info

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 cunshunxia <cunshunxia@tencent.com> - 1.4.0-1
- initial build
